@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Flex:opsz,wght@6..144,1..1000&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Momo+Signature&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
:root{
    --header-height: 5rem;
    --normal-font-size: .938rem;
    --color-principal: #F0E5DC;
    --color-secundario: #E7D2C3;
    --color-terciario: #C3B2A4;
    --color-detalles: #763628;
    --color-alterno: #ECE0D8;
    --color-brown: #855F5D;
    --font-regular: 400;
    --font-bold: 600;
    --z-tooltip: 10;
    --z-fixed: 100;
}
@media screen and (width >= 1024px){
    :root{
        --normal-font-size: 1rem;
    }
}
body::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}
body::-webkit-scrollbar-track {
    background: var(--color-principal);
    height: 1px;
}  
body::-webkit-scrollbar-thumb {
    background-color: var(--color-detalle);
    border-radius: 20px;
    border: 1px solid var(--color-detalle);
}
a{
    text-decoration: none;
    font-family: "Rubik", sans-serif;
}
.nav_link,
.dropdown_link{
    font-family: "Rubik", sans-serif;
}
ul{
    list-style-type: none;
}
h1{
    font-family: "Figtree", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}
h2{
    font-family: "Google Sans Flex", sans-serif;
    font-weight: 300;
}
h3{
    font-family: "Google Sans Flex", sans-serif;
    font-weight: 300;
}
p{
    font-family: "Google Sans Flex", sans-serif;
}
body{
    background-image: url(./img/fondo\ xv\ antonella.svg);
    background-position: bottom;
    background-size: cover;
    background-attachment: fixed;
    width: 100%;
}
.container{
    max-width: 1128px;
    margin-inline: 1.5rem;
}
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: transparent;
    z-index: var(--z-fixed);
    transition: 1s;
}
.nav{
    height: var(--header-height);
}
.nav_data{
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav_logo{
    width: 300px;
    display: inline-flex;
    align-items: center;
    column-gap: .25rem;
    color: var(--color-detalles);
}
.nav_toggle{
    position: relative;
    width: 32px;
    height: 32px;
}
.nav_burger,
.nav_close{
    color: var(--color-blanco);
    position: absolute;
    width: max-content;
    height: max-content;
    inset: 0;
    margin: auto;
    font-size: 1.25rem;
    cursor: pointer;
    transition: opacity .1s, transform .4s;
}
.nav_close{
    opacity: 0;
}
@media screen and (width <= 1118px){
    .nav_menu{
        position: absolute;
        left: 0;
        top: 2.5rem;
        width: 100%;
        backdrop-filter: blur(30px);
        height: calc(100vh - 3.5rem);
        overflow: auto;
        pointer-events: none;
        opacity: 0;
        transition: top .4s, opacity .3s;
    }
    .nav_menu::-webkit-scrollbar{
        width: 0;
    }
    .nav_list{
        box-shadow: 0 2px 16px var(--color-secundario);
    }
}
.nav_link{
    color: var(--color-blanco);
    padding: 1.25rem 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color .3s;
    font-size: 1rem;
}
.nav_link:hover{
    background-color: var(--color-detalle);
}
.show-menu{
    opacity: 1;
    top: 5rem;
    pointer-events: initial;
}
.show-icon .nav_burger{
    opacity: 0;
    transform: rotate(90deg);
}
.show-icon .nav_close{
    opacity: 1;
    transform: rotate(90deg);
}
@media screen and (width <= 340px){
    .container{
        margin-inline: 1rem;
    }
    .nav_link{
        padding: 1rem;
    }
}

.inicio{
    width: 100%;
    padding: 1.5rem;
}
.inicio-container{
    width: 100%;
    padding: 1rem;
    display: flex;
    flex-direction: column-reverse;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: auto;
    height: 100vh;
}
.inicio-container .imagen-antonella{
    width: 100%;
    max-width: 350px;
}
.inicio-container .imagen-antonella img{
    width: 100%;
    border-radius: 10px;
    border: 3px solid var(--color-detalles);
}
.inicio-container .texto{
    text-align: center;
}
.inicio-container .texto h1{
    font-size: clamp(1.2rem, 1.2rem + 2vw, 2.75rem);
    font-family: "Momo Signature", cursive;
    color: var(--color-detalles);
}
.inicio-container .texto h2{
    font-family: "Momo Signature", cursive;
    font-size: clamp(1.2rem, 1.2rem + 2vw, 2.75rem);
    color: var(--color-detalles);
}
.titulo-carrusel{
    width: 100%;
    text-align: center;
    margin: 1rem 0;
}
.titulo-carrusel h1{
    color: var(--color-detalles);
    font-size: clamp(1.2rem, 1.2rem + 2vw, 2.75rem);
}

.contador {
        text-align: center;
        margin: 0 auto 8rem;
    }

    h1 {
        margin-bottom: 20px;
        font-size: 2rem;
        color: var(--color-detalles);
    }

    .tiempo {
        display: flex;
        gap: 20px;
        justify-content: center;
    }

    .bloque {
        background: var(--color-principal);
        padding: 20px;
        border-radius: 12px;
        min-width: 80px;
        color: var(--color-detalles);
    }

    .numero {
        font-size: 2rem;
        font-weight: bold;
    }

    .label {
        font-size: 0.9rem;
        opacity: 0.7;
    }


.slide{
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--white-color);
    margin-top: 30px;
}
.slider-wrapper{
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    height: 70vh;
    max-width: 1600px;
    margin: 1rem;
}
.card-list{
    margin: auto;
}
.card-list .card-item{
    color: #fff;
    user-select: none;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    backdrop-filter: blur(30px);
    
}
.card-list .card-item .user-image{
    width: 100%;
    object-fit: cover;
    /* height: 200px; */
    border-radius: 10px;
    margin-bottom: 15px;
    padding: 4px;
}
.slider-wrapper .swiper-pagination-bullet {
    background: #fff;
    height: 15px;
    width: 15px;
}
.slider-wrapper .swiper-slide-button {
    color: var(--color-brown);
    margin-top: -20px;
    transition: 0.2s ease;
}
.slider-wrapper .swiper-slide-button:hover{
    color: var(--color-detalles);
}


@keyframes carrusel {
  0%{
    margin-left: -100%;
  }
  100%{
    margin-left: 0;
  }
}



@media screen and (width >= 1118px){
    .container{
        margin-inline: auto;
    }
    .nav{
        height: calc(var(--header-height) + 2rem);
        display: flex;
        justify-content: space-between;
    }
    .nav_toggle{
        display: none;
    }
    .nav_list{
        height: 100%;
        display: flex;
        column-gap: 3rem;
    }
    .nav_link{
        height: 100%;
        padding: 0;
        justify-content: initial;
        column-gap: .25rem;
        background-color: transparent;
        transition: .3s;
    }
    .nav_link{
        font-size: 1.2rem;
    }
    .nav_link:hover{
        background-color: transparent;
        color: var(--color-detalle);
    }
    .inicio-container{
        gap: 10rem;
        flex-direction: row;
    }
    
}